# Returns a function from the system by its ID.

This method will look up a function by the specified ID and return it back.

Endpoint: GET /functions/{tenantId}/{id}
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

  - `id` (string, required)
    The ID of the function to return.

## Query parameters:

  - `fields` (string)
    The fields that you want to retrieve; if omitted, the entire object is returned.

  - `consistentRead` (string)
    Indicates the API should force a consistent read on the data source.

## Response 200:

  - `200` (unknown)
    The function was retrieved successfully.

## Response 200 fields (application/json):

  - `capacity_options` (object, required)

  - `capacity_options.capacity` (number, required)

  - `capacity_options.enable_wait_list` (boolean)
    If set, people can be placed on a wait list

  - `capacity_options.waitlist_process_id` (string)
    The process to use for managing the waitlist

  - `custom_field_values` (array)

  - `custom_field_values.boolean_value` (boolean)
    The boolean value

  - `custom_field_values.custom_field_id` (string)
    The unique identifier of the custom field

  - `custom_field_values.file_url_value` (string)
    The pointer to a file value

  - `custom_field_values.list_value` (array)
    The list value

  - `custom_field_values.numeric_value` (number)
    The numeric value

  - `custom_field_values.string_value` (string)
    The string value of the custom field

  - `custom_field_values.table_value` (array)
    A list of objects (a table)

  - `description` (string)
    Description of the function

  - `display_order` (number)
    Display order

  - `enable_capacity` (boolean)
    If set, the session has a capacity

  - `enable_meal_options` (boolean)
    Whether or not meal options are available

  - `enable_registration_questions` (boolean)
    If set, a user is prompted to answer questions during registration

  - `end_date` (string)

  - `event_id` (string, required)
    The event id

  - `hide_from_portal` (boolean)
    This session is not displayed in the portal or available for registration

  - `hide_from_schedule` (boolean)
    If selected, hide this session from the online schedule

  - `id` (string, required)
    The unique, string identifier of this function

  - `location` (string)

  - `maximum_allowed_tickets` (number, required)
    The maximum # of tickets that can be purchased

  - `meal_options` (array, required)

  - `meal_options.description` (string)

  - `meal_options.id` (string, required)

  - `meal_options.items` (array)

  - `meal_options.items.logistics_item_id` (string, required)
    The item ID

  - `meal_options.items.quantity` (number)
    The quantity

  - `meal_options.name` (string, required)

  - `name` (string, required)
    The name of the function

  - `purchase_restriction` (string)
    Enum: "by registration package", "disabled", "for all registrants"

  - `registration_package_restrictions` (array, required)

  - `registration_package_restrictions.maximum_allowed_tickets` (number)
    The maximum # of tickets; if unset, there is no maximum

  - `registration_package_restrictions.registration_package_id` (string, required)
    The registration package

  - `registration_question_options` (object, required)

  - `registration_question_options.custom_fields` (array)
    The custom fields to display

  - `registration_question_options.custom_fields.id` (string, required)
    The custom field

  - `registration_question_options.custom_fields.label` (string)
    An optional label

  - `registration_question_options.custom_fields.required` (boolean)
    Whether the field is required

  - `registration_question_options.registration_instructions` (string)
    Instructions to show during registration for the session

  - `registration_question_options.request_meal_preference` (boolean)
    If true, the meal preference should be requested

  - `room_ids` (array)
    The room(s) where the function is located

  - `sold_out` (boolean)
    Whether the function is sold out

  - `start_date` (string)

  - `sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `sys_calculated_field_errors` (array)

  - `sys_calculated_field_errors.error` (string)

  - `sys_calculated_field_errors.field` (string)

  - `sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `sys_version` (number)
    A number representing the version of this record in the database

  - `type_id` (string, required)
    The type of function

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The request was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The function could not be found.

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to retrieve function based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

